=== debian/changelog ===
ros-foxy-robot-controllers-interface (0.8.1-1focal) focal; urgency=high

  * add Fergs as maintainer (#65 <https://github.com/fetchrobotics/robot_controllers/issues/65>)
  * additional boost disabling (#64 <https://github.com/fetchrobotics/robot_controllers/issues/64>)
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 02 Dec 2020 05:00:00 -0000

ros-foxy-robot-controllers-interface (0.8.0-1focal) focal; urgency=high

  * Add initial support for ROS2
  * implement getJointNames/getControllerNames (#51 <https://github.com/fetchrobotics/robot_controllers/issues/51>)
    this was discussed in #39 <https://github.com/fetchrobotics/robot_controllers/issues/39>
  * Merge pull request #47 <https://github.com/fetchrobotics/robot_controllers/issues/47> from mikeferguson/ros2
  * improve logging
  * switch to service interface
  * gravity compensation controller working in ros2
  * Various bug and API fixes
  * Added gyro interface to robot controllers (#43 <https://github.com/fetchrobotics/robot_controllers/issues/43>)
  * Updates maintainers
  * Contributors: Alex Moriarty, Carl Saldanha, Michael Ferguson, Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 25 Nov 2020 05:00:00 -0000

ros-foxy-robot-controllers-interface (0.6.0-1focal) focal; urgency=high

  * updates ownership
  * Contributors: Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 11 Jul 2018 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.5.3-1focal) focal; urgency=high

  * add error message when pluginlib fails
  * fix cmake warnings on kinetic (#28 <https://github.com/fetchrobotics/robot_controllers/issues/28>)
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 11 Jun 2017 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.5.2-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 18 Jul 2016 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.5.1-1focal) focal; urgency=high

  * Dynamically load controllers (#23 <https://github.com/fetchrobotics/robot_controllers/issues/23>)
    * When requested controller not in default list, check parameter server for controller
    * Controller loader catches pluginlib exception when trying to load bad controller
  * Return controller states even if update fails
  * Contributors: Michael Ferguson, Sarah Elliott

 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 18 Jul 2016 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.5.0-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 21 Feb 2016 05:00:00 -0000

ros-foxy-robot-controllers-interface (0.4.3-1focal) focal; urgency=high

  * add mainpage to doxygen
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 05 Dec 2015 05:00:00 -0000

ros-foxy-robot-controllers-interface (0.4.2-1focal) focal; urgency=high

  * add -Wall to interface package
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 22 Oct 2015 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.4.1-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 12 Jun 2015 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.4.0-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 23 May 2015 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.3.4-1focal) focal; urgency=high

  * add ability to reset controllers
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 22 May 2015 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.3.3-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 03 May 2015 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.3.2-1focal) focal; urgency=high

  * install scripts
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 09 Apr 2015 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.3.1-1focal) focal; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 28 Mar 2015 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.3.0-1focal) focal; urgency=high

  * improve windup support
  * fix potential build issue
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.1.4-1focal) focal; urgency=high

  * add action server for get/set of controller state
  * make autostart actually work
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 13 Mar 2015 04:00:00 -0000

ros-foxy-robot-controllers-interface (0.1.3-1focal) focal; urgency=high

  * additional logging when requestStart() fails
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 28 Jan 2015 05:00:00 -0000

ros-foxy-robot-controllers-interface (0.1.2-1focal) focal; urgency=high

  * install robot_controllers_interface
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 06 Jan 2015 05:00:00 -0000

ros-foxy-robot-controllers-interface (0.1.1-1focal) focal; urgency=high

  * initial release
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 05 Jan 2015 05:00:00 -0000
