=== debian/control ===
Source: ros-foxy-robot-controllers-interface
Section: misc
Priority: optional
Maintainer: Russell Toris <rtoris@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-cpplint, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-robot-controllers-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-robot-controllers-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-robot-controllers-msgs, ros-foxy-ros-workspace
Description: Generic framework for robot controls.
